## vitamtp-2.5.9 pre20160829

=== debian/changelog ===
vitamtp (2.5.9) unstable; urgency=low

  * fix: prevent buffer overflow by custom version strings.

 -- codestation <codestation404@gmail.com>  Mon, 29 Aug 2016 00:00:00 -0000

vitamtp (2.5.8) unstable; urgency=low

  * prevent segfault when ptp_transaction fails to allocate and reporting OK.

 -- codestation <codestation404@gmail.com>  Sun, 24 Apr 2016 00:00:00 -0000

vitamtp (2.5.7) unstable; urgency=low

  * Use vitamtp group for USB access.
  * Explicit USB initialization via VitaMTP_USB_(Init|Exit).

 -- codestation <codestation404@gmail.com>  Sun, 15 Mar 2015 19:59:07 -0000

vitamtp (2.5.6) unstable; urgency=low

  * Fix filesize truncation bug on windows.
  * Abort early if a usb write result is zero bytes.
  * Use SO_REUSEADDR for initial bind() function.

 -- codestation <codestation404@gmail.com>  Sat, 28 Feb 2015 00:00:00 -0000

vitamtp (2.5.5) unstable; urgency=low

  * Add pre 2.00 protocol versions.
  * Sync ptp related files with libmtp-1.1.8

 -- codestation <codestation404@gmail.com>  Thu, 29 Jan 2015 00:00:00 -0000

vitamtp (2.5.4) unstable; urgency=low

  * Updated vitamtp protocol version so is compatible with FW 3.30.

 -- codestation <codestation404@gmail.com>  Sun, 29 Jun 2014 00:00:00 -0000

vitamtp (2.5.3) unstable; urgency=low

  * Fixed wrong size in metadata under windows platforms.

 -- codestation <codestation404@gmail.com>  Sun, 29 Jun 2014 00:00:00 -0000

vitamtp (2.5.2) unstable; urgency=low

  * Added pkg support

 -- codestation <codestation404@gmail.com>  Sun, 04 May 2014 00:00:00 -0000

vitamtp (2.5.1) unstable; urgency=low

  * Bump soname version.
  * Removed opencma.

 -- codestation <codestation404@gmail.com>  Sun, 12 Jan 2014 00:00:00 -0000

vitamtp (2.4.0) unstable; urgency=low

  * Expose some constants so the cancel event can be done by the app calling the library.
  * Fix for cancelling usb transfers. Also make sure to crear the endpoint after receiving a cancel event.

 -- codestation <codestation404@gmail.com>  Wed, 6 Jan 2014 00:00:00 -0000

vitamtp (2.3.0) unstable; urgency=low

  * Use SOCKET and INVALID_SOCKET on Windows.
  * Restore the WSAEWOULDBLOCK checking on windows.
  * Implement write callbacks to remove the big buffer requirement on the main app.
  * Implement read callbacks to remove the mmap requirement on the main app.

 -- codestation <codestation404@gmail.com>  Mon, 6 Jan 2014 00:00:00 -0000

vitamtp (2.2.0) unstable; urgency=low

  * Updated socketpair implementation for Windows.
  * Implement VitaMTP_Cancel_Get_Wireless_Vita and remove disconnect callback.
  * Do not call VitaMTP_USB functions if USE support is disabled.
  * Return the online id and model name in the vita_info_t struct.
  * Disable opencma command line app by default.

 -- codestation <codestation404@gmail.com>  Fri, 3 Jan 2014 00:00:00 -0000

vitamtp (2.1.0) unstable; urgency=low

  * Bump CMA protocol version.
  * Bump library version.

 -- codestation <codestation404@gmail.com>  Mon, 4 Nov 2013 00:00:00 -0000

vitamtp (2.0.2) unstable; urgency=low

  * Disable nagle algorithm to improve performance and stability in wireless connections.
  * Increased priority for udev rules.
  * Set wireless device type to prevent a memory leak on disconnect.
  * Avoid calling xmlCleanupParser multiple times.
  * Experimental support for windows.
  * Add callback for complete pin registration.
  * Very basic support for event canceling.
  * Make vitamtp.h C++ friendly.
  * Bump cma protocol to 2.60.
  * Fix crash when the current locale uses a comma as a decimal separator.
  * Fix for largefile support

 -- codestation <codestation404@gmail.com>  Sun, 6 Oct 2013 00:00:00 -0000

vitamtp (2.0.0) unstable; urgency=low

  * Added wireless device support
  * Fixed video titles not showing
  * Fixed invalid disk space reporting on Linux

 -- Yifan Lu <support@yifanlu.com>  Fri, 17 May 2013 00:09:35 -0700

vitamtp (1.1.3-1) unstable; urgency=low

  * Removed the need for psp2-updatelist.xml
  * Added more help information about usage and behavior
  * Fixed HUGE memory leak in sending Vita/backup objects
  * Fixed HUGE memory leak in receiving PSP saves
  * Fixed a minor memory leak in renaming function
  * Fixed crash in Linux systems when sending apps

 -- Yifan Lu <support@yifanlu.com>  Mon, 06 May 2013 22:05:17 -0700

vitamtp (1.1.2-1) unstable; urgency=low

  * Initial release

 -- Yifan Lu <support@yifanlu.com>  Sat, 04 May 2013 13:45:34 -0700
