=== debian/control ===
Source: vitamtp
Priority: optional
Maintainer: codestation <codestation404@gmail.com>
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/codestation/vitamtp
Vcs-Git: git://github.com/codestation/vitamtp.git
Vcs-Browser: https://github.com/codestation/vitamtp
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 autotools-dev,
 automake,
 libtool,
 pkg-config,
 libusb-1.0-0-dev,
 libxml2-dev,
 gettext

Package: libvitamtp-dev
Section: libdevel
Architecture: any
Depends: libvitamtp5 (= ${binary:Version}), ${misc:Depends}, libusb-1.0-0-dev, libxml2-dev
Conflicts: vitamtp-dev
Replaces: vitamtp-dev
Description: development files to interact with Vita's USB MTP protocol
 This package contains the header files for
 developping with libVitaMTP, a library that
 does low level USB communications with the Vita.

Package: libvitamtp5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: vitamtp4
Replaces: vitamtp4
Description: Library to interact with Vita's USB MTP protocol
 libVitaMTP is a library based off of libMTP 
 that does low level USB communications with 
 the Vita. It can read and receive MTP commands
 that the Vita sends, which are a proprietary 
 set of commands that is based on the MTP open 
 standard.
